// Code generated by mockery v2.14.0. DO NOT EDIT.

package rbac

import mock "github.com/stretchr/testify/mock"

// MockActor is an autogenerated mock type for the Actor type
type MockActor struct {
	mock.Mock
}

// RoleNames provides a mock function with given fields: scope
func (_m *MockActor) RoleNames(scope string) []string {
	ret := _m.Called(scope)

	var r0 []string
	if rf, ok := ret.Get(0).(func(string) []string); ok {
		r0 = rf(scope)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]string)
		}
	}

	return r0
}

type mockConstructorTestingTNewMockActor interface {
	mock.TestingT
	Cleanup(func())
}

// NewMockActor creates a new instance of MockActor. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewMockActor(t mockConstructorTestingTNewMockActor) *MockActor {
	mock := &MockActor{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
